apiVersion: apps/v1
kind: Deployment
metadata:
  name: particleprocessorworker
spec:
  selector:
    matchLabels:
      app: particleprocessorworker
  replicas: 1
  template:
    metadata:
      labels:
        app: particleprocessorworker
    spec:
      serviceAccountName: default-service-account
      containers:
      - name: particleprocessorworker
        image: "particleprocessorworker"
        resources:
          requests:
            memory: "1Gi"
            cpu: 500m
          limits:
            memory: "1Gi"
            cpu: 500m
        env:
        - name: "GCP_PROJECT"
          value: "flowy-prod-440017"
        - name: "GCS_BUCKET"
          value: "flowy-llink-prod-bucket"
        - name: "GOOGLE_SERVICE_ACCOUNT_EMAIL"
          value: "iam-for-gke-sa@flowy-prod-440017.iam.gserviceaccount.com"
        - name: "LLINK_POSTGRES_CONNECTION_URL"
          valueFrom:
            secretKeyRef:
              name: shared-secrets
              key: LLINK_POSTGRES_CONNECTION_URL
        - name: "DEEPGRAM_API_KEY"
          valueFrom:
            secretKeyRef:
              name: shared-secrets
              key: DEEPGRAM_SECRET
        - name: "PUSHER_GRPC_ADDR"
          value: "pusher:50051"
        - name: "EXPO_ACCESS_TOKEN"
          valueFrom:
            secretKeyRef:
              name: shared-secrets
              key: EXPO_ACCESS_TOKEN
